Page MenuHomeFreeBSD

net/scapy: Update to upstream release 2.3.3
ClosedPublic

Authored by sbruno on Dec 21 2017, 3:38 PM.

Details

Summary

Update to latest tagged release

Upstream moved to github so we can now track releases there:
https://github.com/secdev/scapy/releases/tag/v2.3.3

Add upstream matplotlib support

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sbruno created this revision.Dec 21 2017, 3:38 PM
sbruno edited the summary of this revision. (Show Details)Dec 21 2017, 3:38 PM
sbruno updated this revision to Diff 36866.Dec 21 2017, 3:41 PM

Missed needing to delete the second patch file which is no longer needed

mat added inline comments.Dec 21 2017, 3:42 PM
net/scapy/Makefile
15 ↗(On Diff #36865)

You should remove the GH_TAGNAME, add a DISTVERSIONPREFIX=v line after the PORTVERSION line, and re-run make makesum.

sbruno updated this revision to Diff 36867.Dec 21 2017, 3:49 PM

Delete GH_TAGNAME and use DISVERSIONPREFIX + PORTREVISION to fetch.

Regen distinfo

sbruno marked an inline comment as done.Dec 21 2017, 3:50 PM
skozlov requested changes to this revision.Jan 3 2018, 1:22 PM

Smoke test passed. IMO good to go after Portlint issue is resolved.

net/scapy/Makefile
14 ↗(On Diff #36867)

Portlint sees spaces in this line instead of a tab.

This revision now requires changes to proceed.Jan 3 2018, 1:22 PM
sbruno updated this revision to Diff 37490.Jan 4 2018, 2:48 AM

Clean up tab vs space PORTLINT warning.

sbruno marked an inline comment as done.Jan 4 2018, 2:49 AM
skozlov accepted this revision.Jan 4 2018, 11:24 AM
This revision is now accepted and ready to land.Jan 4 2018, 11:24 AM
This revision was automatically updated to reflect the committed changes.